<?php

namespace Drupal\trigger_api\Exceptions;

use Throwable;

class AlreadyTriggeredException extends \Exception {

  /**
   * {@inheritdoc}
   */
  public function __construct($message = "", $code = 0, Throwable $previous = NULL) {
    $message = empty($message) ? "Trigger queue has already been triggered. You cannot add queue items anymore." : $message;
    parent::__construct($message, $code, $previous);
  }

}
